KDE 4.4 PyKDE API Reference

- KDE's Python API

# FileItem Class Reference

`from PyKDE4.kio import *`

Namespace: KIO.RenameDialogPlugin.FileItem

## Detailed Description

File Representation consisting of the KUrl, MimeType and filesize and the times of the last changes.

## Methods
| __init__ (self, KUrl url, QString mimeSrc, KIO.filesize_t a2, time_t ctime, time_t mtime)
| __init__ (self, KIO.RenameDialogPlugin.FileItem other)
time_t | cTime (self)
KIO.filesize_t | fileSize (self)
time_t | mTime (self)
QString | mimeType (self)
KUrl | url (self)

## Method Documentation

__init__ | ( | self, |
|  | KUrl | url,
|  | QString | mimeSrc,
|  | KIO.filesize_t | a2,
|  | time_t | ctime,
|  | time_t | mtime
| ) |  |  |

__init__ | ( | self, |
|  | KIO.RenameDialogPlugin.FileItem | other
| ) |  |  |

time_t cTime | ( |  | self ) |

KIO.filesize_t fileSize | ( |  | self ) |

time_t mTime | ( |  | self ) |

QString mimeType | ( |  | self ) |

KUrl url | ( |  | self ) |